annotations:
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: 172.16.1.0/24
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -320.0
    y1: -80.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.2'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -440.0
    y1: -80.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.3'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -440.0
    y1: 120.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.1'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -200.0
    y1: 0.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: 10.1.1.0/24
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: 0.0
    y1: -80.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.2'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: 160.0
    y1: 0.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.1'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -160.0
    y1: 40.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.1'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -160.0
    y1: 40.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.1'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -120.0
    y1: 0.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: |-
      The administrator using HostA states they are unable to ssh
      into RTR2.  Investigate and resolve the problem, if possible.
      Note: HostA and HostB are routers that have had routing
      disabled.

      Username: Admin
      Password: witty
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -920.0
    y1: -240.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#41E4ED'
    rotation: 0
    text_bold: false
    text_content: '.4'
    text_font: monospace
    text_italic: false
    text_size: 12
    text_unit: pt
    thickness: 1
    type: text
    x1: -320.0
    y1: 80.0
    z_index: 0
nodes:
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3688 bytes\n\
          !\n! Last configuration change at 02:17:26 UTC Sun Nov 23 2025 by boss\n\
          !\nversion 17.15\nservice timestamps debug datetime msec\nservice timestamps\
          \ log datetime msec\nservice password-encryption\n!\nhostname HostA\n!\n\
          boot-start-marker\nboot-end-marker\n!\n!\nno logging console\nno aaa new-model\n\
          !\n!\n!\nno ip routing\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\nip domain name cpt.com\n\
          no ip cef\nlogin on-success log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\ncrypto pki trustpoint TP-self-signed-131184809\n enrollment selfsigned\n\
          \ subject-name cn=IOS-Self-Signed-Certificate-131184809\n revocation-check\
          \ none\n rsakeypair TP-self-signed-131184809\n hash sha512\n!\n!\ncrypto\
          \ pki certificate chain TP-self-signed-131184809\n certificate self-signed\
          \ 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886 F70D0101 0D050030\n\
          \  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967 6E65642D 43657274\n\
          \  69666963 6174652D 31333131 38343830 39301E17 0D323530 33323430 30313434\n\
          \  375A170D 33353033 32343030 31343437 5A303031 2E302C06 03550403 0C25494F\n\
          \  532D5365 6C662D53 69676E65 642D4365 72746966 69636174 652D3133 31313834\n\
          \  38303930 82012230 0D06092A 864886F7 0D010101 05000382 010F0030 82010A02\n\
          \  82010100 D2E5992A B03FF042 C5058800 5D5E6D7E 982E5879 1307C23E B388D622\n\
          \  12B3AB69 8FCF5B43 D6CEF953 6BD2BE79 38A24529 818C4755 2ADC5FF8 07322A12\n\
          \  B3658001 2F4EE225 CAE21804 96CA4C30 FD33A7CC A75ED011 26872D13 140C76FA\n\
          \  E346CEB3 CD57A95C E2DA8F89 78CE47FD 9A7E3D90 5BFB55A2 CA8C7F71 5F0C0AE5\n\
          \  68069ACB 36B08EEB B658840B 0258683D 56B87011 45657145 17393ECB 677F82D4\n\
          \  3C5A8D54 877D4AEE 02E80FD1 CECA3CEA E3B8D760 9EDD2E53 D4FB32C9 E74D2644\n\
          \  CE853C27 BB07CC39 4EFE9915 CCD3B9B1 BBC6310A 08AE6FA3 5B901FAA 7A6132BC\n\
          \  02BB5440 462BEFD7 0745777B 51658605 DEE2C87E 0FD2F360 48C667D2 247B0BF5\n\
          \  F0EE8FC1 02030100 01A35330 51301D06 03551D0E 04160414 AFF5F11B CECDC188\n\
          \  AA861D65 2B139CDF 37A1449F 301F0603 551D2304 18301680 14AFF5F1 1BCECDC1\n\
          \  88AA861D 652B139C DF37A144 9F300F06 03551D13 0101FF04 05300301 01FF300D\n\
          \  06092A86 4886F70D 01010D05 00038201 01009EC0 8EA3019D F49FEC50 BA702AFE\n\
          \  E84BC11E 249E623C E52CB06B 3050DF84 D079F5BD 69412B0F D64C4DB2 8E4A99DB\n\
          \  C609923D C8B6BEFB 4C5486FF 4CA3BA5E 8DB34F80 78C8ECCD B77F35DE DAED2683\n\
          \  0C6F36EB B9D04EA7 9F699067 311FBB71 163D3E53 DD9334F4 3C041B1D 0135C4A5\n\
          \  D13F16DE BEB83287 08297BF0 93601726 D3DD45C8 D71A1273 5ED30396 B29D870D\n\
          \  0C237596 CCB0BBEB A854B206 0C0E70D2 C4605CBE 88B4390D 000E1E6E 8E80F064\n\
          \  24197977 B7D5B15A EBDB71E6 F0DE7D44 06AF45EC EF003934 F4AFA88A 13E77FFC\n\
          \  EB29FD61 42C84F3E 5264AEF1 57BD8568 8382877E 9E218447 56201F25 F7FFB442\n\
          \  4A0F580D 625108AA 83102D95 A8CC5B85 07FA\n  \tquit\n!\n!\nmemory free\
          \ low-watermark processor 80093\n!\n!\nspanning-tree mode rapid-pvst\n!\n\
          !\nusername admin privilege 14 password 7 150502181033\nusername boss privilege\
          \ 15 password 7 011D0917530411\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\ninterface Ethernet0/0\n no ip address\n no ip route-cache\n\
          !\ninterface Ethernet0/1\n no ip address\n no ip route-cache\n shutdown\n\
          !\ninterface Ethernet0/2\n description RTR1\n ip address 172.16.1.2 255.255.255.0\n\
          \ no ip route-cache\n no arp arpa\n!\ninterface Ethernet0/3\n no ip address\n\
          \ no ip route-cache\n shutdown\n!\nip default-gateway 172.16.1.1\nip forward-protocol\
          \ nd\n!\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\n\
          no logging btrace\n!\n!\n!\ncontrol-plane\n!\n!\nprivilege exec all level\
          \ 14 write memory\nprivilege exec level 14 write\nprivilege exec all level\
          \ 14 configure terminal\nprivilege exec level 14 configure\nprivilege exec\
          \ level 14 show logging\nprivilege exec level 14 show\n!\nline con 0\n exec-timeout\
          \ 0 0\n logging synchronous\n login local\nline aux 0\nline vty 0 4\n exec-timeout\
          \ 0 0\n login local\n transport input ssh\n!\n!\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n0
    image_definition: null
    label: HostA
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -480
    y: -80
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: Ethernet0/0
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3647 bytes\n\
          !\n! Last configuration change at 02:17:26 UTC Sun Nov 23 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\nservice password-encryption\n!\nhostname RTR1\n!\nboot-start-marker\n\
          boot-end-marker\n!\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\nip domain name cpt.com\nip cef\nlogin on-success\
          \ log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ncrypto pki trustpoint\
          \ TP-self-signed-131184701\n enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184701\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184701\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184701\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343730 31301E17 0D323530\
          \ 33323232 30353730\n  385A170D 33353033 32323230 35373038 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  37303130 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 98A452B3 0320AEB0 CD0C08D7 FBD76B0E C0A01830\
          \ F3CD01DC BF3FC7D7\n  1E21A194 C8476296 ACC33888 30EF5423 F76CF34D 69D251DD\
          \ BAC2835D 56E8B72D\n  17C77189 EBEC0A82 EC7F8EC0 77AA48F4 6D5A58CD FCEC66E8\
          \ B9CB3BA8 35A3524D\n  D09A70A3 2F833179 70D397DA 2783934C 526935EE 89372BEC\
          \ CC33A82F 4DC90025\n  0D93AD96 B22851CE F31CE7C1 68B62C06 15A7D807 A909FF78\
          \ 383E5A13 4B1FB3D1\n  12737665 A026CA6E 4E7FFAD3 7BF90458 E6DD23F9 2B613185\
          \ F0A5AEA0 61091A6F\n  052F6D7E DDEA9F66 E78EA142 EFCA5051 E34E3294 5A1B2FA0\
          \ BF257D1E 7A6BCD2D\n  104F056D C91D800D 1588B844 3E27F943 BDA38A3C 2CC40468\
          \ 04FF48D7 E0FA5DAF\n  4175A915 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 72ED07C3 2D75F8AA\n  924298D7 832CDF31 084968E4 301F0603 551D2304 18301680\
          \ 1472ED07 C32D75F8\n  AA924298 D7832CDF 31084968 E4300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 0100043F 0223525B\
          \ 566EE36F D6046098\n  E3D0A15D 565E4E6F FC5CC2D4 299810EE A242376C E96D6779\
          \ 75DE3FC2 0329E830\n  B7046294 0B4546C7 F92FF56F 94CD67EB 80ACC8B3 E73B6A15\
          \ 1A479987 9D95687E\n  5C555444 DE60EE64 13D70473 F8243643 731A8BCF 230E3A2E\
          \ 98C3EE85 A9D8E3E0\n  B3D9A468 15D692F5 2BEAE17C 6A8A517D A0471220 60B845D9\
          \ A9798CA9 1093554E\n  8570B9E6 71F68342 87E47125 5BCDCD7A BA6A3255 97251113\
          \ DAD95FE7 50C439CA\n  8FB5C64B 4480345C 2CC92C09 236137E6 BF6E0F90 E11ACD90\
          \ 0737036D CD6DC185\n  21D9EAD5 06D82F4C DA3383E5 3D03699F 2F8C298D BE36DBFF\
          \ 174504EF E5C3E78B\n  573B609C 696E88CB 6391366D A8022D9A FFE0\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 80093\n!\n!\nspanning-tree mode\
          \ rapid-pvst\n!\n!\nusername admin privilege 14 password 7 00131A121042\n\
          username boss privilege 15 password 7 130B1801030313\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ninterface Ethernet0/0\n ip\
          \ address 172.16.1.1 255.255.255.0\n no arp arpa\n!\ninterface Ethernet0/1\n\
          \ ip address 10.1.1.1 255.255.255.0\n!\ninterface Ethernet0/2\n no ip address\n\
          \ shutdown\n!\ninterface Ethernet0/3\n no ip address\n shutdown\n!\nip forward-protocol\
          \ nd\n!\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\n\
          no logging btrace\narp 172.16.1.3 aabb.cc00.4110 ARPA\narp 10.1.1.2 aabb.cc00.4020\
          \ ARPA\n!\n!\n!\ncontrol-plane\n!\n!\nprivilege exec all level 14 write\
          \ memory\nprivilege exec level 14 write\nprivilege exec all level 14 configure\
          \ terminal\nprivilege exec level 14 configure\nprivilege exec level 14 show\
          \ logging\nprivilege exec level 14 show\n!\nline con 0\n exec-timeout 0\
          \ 0\n password 7 1049061812160B\n logging synchronous\n login\nline aux\
          \ 0\nline vty 0 4\n exec-timeout 0 0\n login local\n transport input ssh\n\
          !\n!\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n1
    image_definition: null
    label: RTR1
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -160
    y: 40
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: Ethernet0/0
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3616 bytes\n\
          !\n! Last configuration change at 02:17:26 UTC Sun Nov 23 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\nservice password-encryption\n!\nhostname RTR2\n!\nboot-start-marker\n\
          boot-end-marker\n!\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\nip domain name cpt.com\nip cef\nlogin on-success\
          \ log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ncrypto pki trustpoint\
          \ TP-self-signed-131184704\n enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184704\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184704\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184704\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343730 34301E17 0D323530\
          \ 33323232 31303034\n  325A170D 33353033 32323231 30303432 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  37303430 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 AEE42D4D DBC9A48C 6231F2A1 18EC7A47 2BABDBC3\
          \ DB936D4B A67D34A7\n  4D785948 3BFB847E 9D81D8E2 7A6E876E 324AB4DD B65C827F\
          \ 74C7AD75 9B8885A1\n  4674249D 48C6F18E 3179521B D8D89A3E 03FB22B9 488EE3CF\
          \ 92ABC05A 12AA7440\n  8AFEFF7A 5AE0D9B8 57422DED 250CD5C6 75E69CF6 A26CCC8F\
          \ 6420E381 8260656F\n  D0F39706 4395B514 AA5D1441 B8327120 C73333E0 2ED8349E\
          \ F87A8380 EEC96A26\n  6D553EF0 593345CF 5C1F5431 B154E089 D7E1C430 D592DA50\
          \ E7D08710 DBAAC544\n  97F6FA06 254AA144 4E7E274C 84D4A295 870CC72E F49C9B83\
          \ 6438B040 2E3C70FB\n  93668385 B57F6302 30332268 F88F75B8 6880A147 BF330B66\
          \ 0E13383A 9B52BD46\n  67D59B55 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 04170F7D FC00B7DD\n  9C313299 2945A2C9 1C0C4C61 301F0603 551D2304 18301680\
          \ 1404170F 7DFC00B7\n  DD9C3132 992945A2 C91C0C4C 61300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 0100122E 89B5E53E\
          \ E9F9B8F3 12D7C975\n  F9F1C38B D4F3F363 B64A8230 3AC6EA34 0FAA32A2 A3D0ED7E\
          \ 2146DB0D 72063046\n  209037A1 C4C33607 3DD31D38 89DFECEA C965832E 93ED7B5D\
          \ F889DA75 632CC101\n  10FB388F 12CE3736 BA6232A8 22C8BEC4 23FF823E 58E47721\
          \ 1B34711E 13D42E69\n  F1727EBF 85DBADA6 1BDF7A8C 2C2F83C1 A4E377DF 36803BBF\
          \ 4DA86578 5CD14AC4\n  66A0A9D6 C07158E3 724C28F6 BC9F5E66 CBAA3DAC D529C257\
          \ 81B440F8 7A9F94D1\n  7C78F650 13D00B18 35F8B65F 06BAE0A2 5687D8AC 12C2AB55\
          \ 2060A7E6 D698350C\n  03FB44ED 99C193FA 8A34A412 8853AB8A 2F041916 B6EB96C8\
          \ BFB529E0 C6555F73\n  6BF5CD52 FD07A62E C803A335 1D85BB64 0853\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 80093\n!\n!\nspanning-tree mode\
          \ rapid-pvst\n!\n!\nusername admin privilege 14 password 7 01040F104F12\n\
          username boss privilege 15 password 7 0505091C294359\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ninterface Ethernet0/0\n no\
          \ ip address\n shutdown\n!\ninterface Ethernet0/1\n no ip address\n shutdown\n\
          !\ninterface Ethernet0/2\n mac-address aabb.cc00.4020\n ip address 10.1.1.2\
          \ 255.255.255.0\n!\ninterface Ethernet0/3\n no ip address\n shutdown\n!\n\
          ip forward-protocol nd\n!\n!\nip http server\nip http secure-server\nip\
          \ route 0.0.0.0 0.0.0.0 10.1.1.1\nip ssh bulk-mode 131072\nno logging btrace\n\
          !\n!\n!\ncontrol-plane\n!\n!\nprivilege exec all level 14 write memory\n\
          privilege exec level 14 write\nprivilege exec all level 14 configure terminal\n\
          privilege exec level 14 configure\nprivilege exec level 14 show logging\n\
          privilege exec level 14 show\n!\nline con 0\n exec-timeout 0 0\n password\
          \ 7 02010B5A1C0716\n logging synchronous\n login\nline aux 0\nline vty 0\
          \ 4\n exec-timeout 0 0\n login local\n transport input ssh\n!\n!\n!\n!\n\
          end"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n2
    image_definition: null
    label: RTR2
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: 200
    y: 40
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: Ethernet0/0
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3713 bytes\n\
          !\n! Last configuration change at 02:17:26 UTC Sun Nov 23 2025 by boss\n\
          !\nversion 17.15\nservice timestamps debug datetime msec\nservice timestamps\
          \ log datetime msec\nservice password-encryption\n!\nhostname HostB\n!\n\
          boot-start-marker\nboot-end-marker\n!\n!\nno logging console\nno aaa new-model\n\
          !\n!\n!\nno ip routing\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\nip domain name cpt.com\n\
          no ip cef\nlogin on-success log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\ncrypto pki trustpoint TP-self-signed-131184777\n enrollment selfsigned\n\
          \ subject-name cn=IOS-Self-Signed-Certificate-131184777\n revocation-check\
          \ none\n rsakeypair TP-self-signed-131184777\n hash sha512\n!\n!\ncrypto\
          \ pki certificate chain TP-self-signed-131184777\n certificate self-signed\
          \ 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886 F70D0101 0D050030\n\
          \  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967 6E65642D 43657274\n\
          \  69666963 6174652D 31333131 38343737 37301E17 0D323530 33323332 33353132\n\
          \  325A170D 33353033 32333233 35313232 5A303031 2E302C06 03550403 0C25494F\n\
          \  532D5365 6C662D53 69676E65 642D4365 72746966 69636174 652D3133 31313834\n\
          \  37373730 82012230 0D06092A 864886F7 0D010101 05000382 010F0030 82010A02\n\
          \  82010100 D4441AF2 7CE239F1 7C4A762A 93ABC02A 83C95023 8A75FA37 7B5BD88E\n\
          \  862C5944 DE6977B0 8EB62547 3FD89EE5 A62053E8 8D516D39 46A53994 D53B200B\n\
          \  22F7B00E 27C270C0 478E740B EE1C1394 94BBC1B7 C0D91078 8478A86C CFB4154B\n\
          \  0BB30530 332BDED7 85D6F8D6 CF8EA851 3DA89972 6D979BCC 1E16661C BD14EB41\n\
          \  3AD0D82F A81509A2 26D55199 A85E6DAE 9948A1C7 69881798 F6CD1A03 335D2717\n\
          \  0994BD8C 7349EAF2 924127C3 348DBAA6 41DB93D9 FF783134 5D3DBD60 A03A0841\n\
          \  84A3A30A 29F84873 91CB4CBA 85AC6288 F0D7C83C 6201A9BB 7D787918 C15F9D77\n\
          \  B2EEA908 6FB97525 65F53C7D 79282072 FC33B6C5 74DCA8FD E8663BF5 F3B98DB5\n\
          \  6A18CA2D 02030100 01A35330 51301D06 03551D0E 04160414 6CD4AB8D 47481E0A\n\
          \  4B4B2231 AE967B74 B47EF68A 301F0603 551D2304 18301680 146CD4AB 8D47481E\n\
          \  0A4B4B22 31AE967B 74B47EF6 8A300F06 03551D13 0101FF04 05300301 01FF300D\n\
          \  06092A86 4886F70D 01010D05 00038201 010026A4 123F9CA8 C2658CEB 767FB495\n\
          \  99B26C25 D442D112 E81AC15D 37D91D3F 9E3697DB 06B227F9 3677937C 704223EE\n\
          \  ECB911E7 8359E5F7 77B439BD 1A553616 565B1D34 0CC1D0B7 A5B51FED 9B99E4F2\n\
          \  1CBE4DDC 971CD87C 6E21508A D74368DA 21AB58F9 52913DE4 C048CD87 ADA534A0\n\
          \  AE020F07 C3572C95 E0B5014D 64E4A4EC C29C0F21 B28ADCF7 5C6F6CD2 1C5C8AE5\n\
          \  D94918ED 8F750DB7 D352B054 6A8D2361 DEB5F5FB 598F50D8 FAF24805 9DF22F16\n\
          \  9C9E16CB 615AFB11 2E390277 68F634C9 6BD64259 2F4F5FDC A8299A5C F46032DE\n\
          \  48C9C9C1 F4DBD87A F5A5FB48 8F970D37 68CBA4F3 A52BF208 A429BC7E A787DCAD\n\
          \  6EFAB3AD ABFA9458 BF508E56 C10E42CC FA79\n  \tquit\n!\n!\nmemory free\
          \ low-watermark processor 80093\n!\n!\nspanning-tree mode rapid-pvst\n!\n\
          !\nusername admin privilege 14 password 7 13121E061F15\nusername boss privilege\
          \ 15 password 7 082F435D011612\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\n!\n!\n!\n!\ninterface Ethernet0/0\n no ip address\n no ip route-cache\n\
          \ shutdown\n!\ninterface Ethernet0/1\n description RTR1\n mac-address aabb.cc00.4110\n\
          \ ip address 172.16.1.3 255.255.255.0\n no ip route-cache\n!\ninterface\
          \ Ethernet0/2\n no ip address\n no ip route-cache\n shutdown\n!\ninterface\
          \ Ethernet0/3\n no ip address\n no ip route-cache\n shutdown\n!\nip default-gateway\
          \ 172.16.1.1\nip forward-protocol nd\n!\n!\nip http server\nip http secure-server\n\
          ip ssh bulk-mode 131072\nno logging btrace\n!\n!\n!\ncontrol-plane\n!\n\
          !\nprivilege exec all level 14 write memory\nprivilege exec level 14 write\n\
          privilege exec all level 14 configure terminal\nprivilege exec level 14\
          \ configure\nprivilege exec level 14 show logging\nprivilege exec level\
          \ 14 show\n!\nline con 0\n exec-timeout 0 0\n logging synchronous\n login\
          \ local\nline aux 0\nline vty 0 4\n exec-timeout 0 0\n login local\n transport\
          \ input ssh\n!\n!\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n3
    image_definition: null
    label: HostB
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -480
    y: 120
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: Ethernet0/0
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3841 bytes\n\
          !\n! Last configuration change at 02:17:26 UTC Sun Nov 23 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\nservice password-encryption\n!\nhostname SW2\n!\nboot-start-marker\n\
          boot-end-marker\n!\n!\nno logging console\nno aaa new-model\n!\n!\n!\nno\
          \ ip routing\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\nip audit notify log\nip audit\
          \ po max-events 100\nip domain name cpt.com\nno ip cef\nlogin on-success\
          \ log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n!\n!\ncrypto pki trustpoint TP-self-signed-131184707\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184707\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184707\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184707\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343730 37301E17 0D323530\
          \ 33323232 31313934\n  325A170D 33353033 32323231 31393432 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  37303730 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 C0BAC422 D62E5E17 8FA2E893 75876B79 79C6A1E0\
          \ 1C073AA2 3E1FA6BD\n  F834522D 90135606 0128756D E095417C 859E0793 2A0E152A\
          \ 50135916 EBD246B9\n  BBC876AD 8203E2B3 AD13E8A2 98D060E4 84563EEB 8CF0D93C\
          \ 515CD7CA 6E6EA08D\n  585BC4E5 7B1456E1 612C4814 954E68E4 7300BC14 308DD2B2\
          \ 0C92D36F 76C265E0\n  AF6484D0 928A4B74 58AAEBF1 9241D169 3FE1CBF0 D15ED698\
          \ E944CD43 1BFB7BF5\n  AE99FFBE C3B77BC5 54046690 995B357E F0955970 B20F4721\
          \ C5D905E6 C8AF3006\n  BEFC981F 2C355C2C A308BEA6 281D9C58 430DDDCD 2CC303C0\
          \ DEE09D45 1B1F04F2\n  F2BCF9E3 F48D402D D5C12C91 7D5F4634 10C753DF B370C219\
          \ E290121D D11FA5D6\n  92967869 02030100 01A35330 51301D06 03551D0E 04160414\
          \ F3F13053 295E19D8\n  BDF2DFF7 EAC6F75A B0B691EA 301F0603 551D2304 18301680\
          \ 14F3F130 53295E19\n  D8BDF2DF F7EAC6F7 5AB0B691 EA300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 01007E8A 1F441C0E\
          \ 5F2868EC D7C31940\n  C09FD46E CA1E095D 5AF2EA9A 5350F516 94870B5C 9150FB38\
          \ BDAB83AF 7C7C139D\n  A5787CF3 70442C9D E690EF9A 24A78FC9 0126E682 D3F6138B\
          \ EE55D454 D1E17031\n  223334EE 031B5E39 F2611077 BF403CB7 0D66D173 6295D757\
          \ 93CBB6EC 04C75A1D\n  EDBC141E 1E5E8E61 0A38A5AD 03DF0A83 A845D75F 5AD06CEF\
          \ 828161A5 17D9F916\n  D6E958A0 384D8260 9040E7AD AB3E744A 696B3A1D 837EE4B5\
          \ BA90D73D 88C9772D\n  FAF893CD D3B0FB08 AE74F6E2 947C3FE7 2D0DC757 BB7FBAB4\
          \ 833B0401 3FEC4881\n  A01BCB21 B1899DB8 388229D2 D81E9235 F410A2DA 4CAFAEBB\
          \ 4A15F11C A3EF1070\n  F09B7025 C3F37028 45C8A268 3411CF9B EE0D\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 79593\n!\n!\nspanning-tree mode\
          \ rapid-pvst\nspanning-tree extend system-id\n!\nusername admin privilege\
          \ 14 password 7 02110D4F1F1F\nusername boss privilege 15 password 7 082F435D011612\n\
          !\nvlan internal allocation policy ascending\n!\n!\n!\n!\n!\ninterface Ethernet0/0\n\
          \ switchport access vlan 20\n switchport mode access\n!\ninterface Ethernet0/1\n\
          \ switchport access vlan 20\n switchport mode access\n!\ninterface Ethernet0/2\n\
          \ switchport access vlan 20\n switchport mode access\n!\ninterface Ethernet0/3\n\
          !\ninterface Vlan1\n mac-address aabb.cc80.4300\n no ip address\n!\ninterface\
          \ Vlan20\n ip address 172.16.1.4 255.255.255.0\n!\nip default-gateway 172.16.1.1\n\
          ip forward-protocol nd\n!\n!\nip http server\nip http secure-server\nip\
          \ ssh bulk-mode 131072\n!\nno logging btrace\n!\n!\n!\ncontrol-plane\n!\n\
          !\nprivilege exec all level 14 write memory\nprivilege exec level 14 write\n\
          privilege exec all level 14 configure terminal\nprivilege exec level 14\
          \ configure\nprivilege exec level 14 show logging\nprivilege exec level\
          \ 14 show\n!\nline con 0\n exec-timeout 0 0\n password 7 14101D0A1B0533\n\
          \ logging synchronous\n login\nline aux 0\nline vty 0 4\n exec-timeout 0\
          \ 0\n login local\n transport input ssh\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n4
    image_definition: null
    label: SW2
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -320
    y: 40
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: Ethernet0/0
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration: []
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n5
    image_definition: null
    label: SW1
    node_definition: unmanaged_switch
    parameters: {}
    ram: null
    tags: []
    x: 40
    y: 40
    interfaces:
      - id: i0
        label: port0
        slot: 0
        type: physical
      - id: i1
        label: port1
        slot: 1
        type: physical
      - id: i2
        label: port2
        slot: 2
        type: physical
      - id: i3
        label: port3
        slot: 3
        type: physical
      - id: i4
        label: port4
        slot: 4
        type: physical
      - id: i5
        label: port5
        slot: 5
        type: physical
      - id: i6
        label: port6
        slot: 6
        type: physical
      - id: i7
        label: port7
        slot: 7
        type: physical
links:
  - id: l0
    n1: n4
    n2: n1
    i1: i1
    i2: i1
    conditioning: {}
    label: SW2-Ethernet0/0<->RTR1-Ethernet0/0
  - id: l1
    n1: n3
    n2: n4
    i1: i2
    i2: i2
    conditioning: {}
    label: HostB-Ethernet0/1<->SW2-Ethernet0/1
  - id: l2
    n1: n0
    n2: n4
    i1: i3
    i2: i3
    conditioning: {}
    label: HostA-Ethernet0/2<->SW2-Ethernet0/2
  - id: l3
    n1: n1
    n2: n5
    i1: i2
    i2: i1
    conditioning: {}
    label: RTR1-Ethernet0/1<->unmanaged-switch-0-port1
  - id: l4
    n1: n2
    n2: n5
    i1: i3
    i2: i0
    conditioning: {}
    label: RTR2-Ethernet0/2<->SW1-Unmanaged-port0
lab:
  description: ''
  notes: ''
  title: Violet Relay
  version: 0.2.2
